FTBFilterSystemEvents.customFilter("chickenCompare", (event) => {
  const {stack, data} = event;
  if (stack.id !== "resourcechickens:catcher_item") {
      event.cancel();
      return false;
  }

  const {entityCaptured} = stack.nbt;
  if (!entityCaptured || entityCaptured.Age === null) {
      console.log(`Stack ${stack.id} does not have an entityCaptured or Age`, entityCaptured)
      event.cancel();
      return false;
  }

  const {Age} = entityCaptured;

  // It's an adult chicken
  if (Age >= 0) {
      event.success()
      return true;
  }

  // It's a baby chicken
  event.cancel();
  return false;
})